Bug 188139 - run program's error not captured at default log level (err)
Summary: run program's error not captured at default log level (err)
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: udev   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-06 12:06 UTC by Richard Kennedy
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 09:38:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch of possible solution (618 bytes, patch)
2006-04-06 12:06 UTC, Richard Kennedy
no flags Details | Diff

Description Richard Kennedy 2006-04-06 12:06:11 UTC
Description of problem:

I've created a custom udev rule to run a script to initialise & load firmware
for an prism2 wlan usb card.
At the default log level, udevd discards any error output from the script making
it difficult for normal users to understand why their wlan device isn't working
if there's a failure. there is no output logged even if the script return an
error code. 

Pleas enhance udev to log STDERR for all RUN rules.    

Version-Release number of selected component (if applicable):

udev-84-13

How reproducible:
always

Steps to Reproduce:
1. load prism2_usb device
2. udevd runs script that errors
3. script errors are not logged
  
Actual results:

No errors logged
Expected results:


Additional info:
The prism2_usb driver is an out of kernel driver for this wlan card.
{see  http://www.linux-wlan.com/linux-wlan/}

Looking at the source code, can I just change the run_program(...) call in
udev_rules.c as in the attached patch, to get the behaviour I want?
patch _NOT_ tested!

Are there any instructions for building udevd from the src.rpm ? I guess a apply
all the patches in the rpm and build as normal ?
TIA 
Richard

Comment 1 Richard Kennedy 2006-04-06 12:06:11 UTC
Created attachment 127407 [details]
patch of possible solution

Comment 2 Kay Sievers 2006-04-09 13:10:22 UTC
The behavior is intentional, as some tools validly print errors, or are even
expected to fail while called from udev. It would needlessly flood the syslog.
The log level of the udev daemon can be changed at runtime if needed for
debugging with:
  udevcontrol log_priority=info


Note You need to log in before you can comment on or make changes to this bug.